Page 1 of 1

Rubygame + Ruby 1.9

PostPosted: Sun Sep 13, 2009 4:40 pm
by ayqazi
Hi,

So what's the state of Rubygame and Ruby 1.9?

I would not have minded sticking with 1.8 - unfortunately, the computers of the people I'm targeting for my next project are not very high - maybe Pentium III 500Mhz CPUs even :shock: and Ruby 1.8 will just be too slow (if my experience with a previous RUDL-based project is anything to go by)

Thanks

Re: Rubygame + Ruby 1.9

PostPosted: Wed Sep 16, 2009 7:00 pm
by shawn42
Rubygame should work with no problems on ruby 1.9 (I've tested it). If it doesn't work for you, post back here or hop in #rubygame on freenode for some help.

Re: Rubygame + Ruby 1.9

PostPosted: Sun Sep 20, 2009 5:59 pm
by kiba
I got this problem.

[kiba@myhost rbpong]$ rake test
(in /home/kiba/projects/rbpong)
rake aborted!
/usr/lib/ruby/gems/1.9.1/gems/rubygame-2.5.3/ext/rubygame/rubygame_core.so: undefined symbol: SDL_FreeSurface - /usr/lib/ruby/gems/1.9.1/gems/rubygame-2.5.3/ext/rubygame/rubygame_core.so
/home/kiba/projects/rbpong/Rakefile:2:in `require'
(See full trace by running task with --trace)